/*******************************************/
/*										   */
/*	File:	ChromaKeyMovie.app.h		   */
/*										   */
/*	By:		Jason Hodges-Harris			   */
/*										   */
/*******************************************/

#ifndef __CHROMAPPHEADER__
#define __CHROMAPPHEADER__


// Mac Toolbox protos

#ifndef __MOVIES__
#include <Movies.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif


// Define menubar constants

#define		rMenuBar		128

#define 	mApple			128
#define 	iAbout			1

#define		mFile			129
#define		iOpen			1
#define 	iClose			2
#define 	iQuit			4

#define		mEdit			130
#define 	iUndo			1
#define 	iCut			3
#define		iCopy			4
#define 	iPaste			5

#define		mMode			131
#define		iKeyColor		1
#define		iMovieBack		3
#define		iMovieFront		4
#define		iTransparent	6		
#define		iGraphix		7
#define		iModifier		8

#define		mOptions		132
#define		iEveryFrame		1
#define		iLoopMovie		2


// Constant definitions

#define		kSleep			1L		// Used in wait next event
#define		rGenWindow		128
#define		rAboutBox		128
#define		rGenAlert		129
#define		rGenWarning		130

#define		rQTmessages		128
#define		rErrMessages	129

#define		rBackGroundPict	128		// PICT resource
#define		kappDefErr		-999	// application return error


// available transfer modes

enum transferModes
{
	transparentMode = 1,
	graphix,
	modifierTrax
};

// Application document structure


#if GENERATINGPOWERPC
#pragma options align=mac68k
#endif

struct MovieDoc
{
	MovieController		theController;
	Movie				theMovie;
	long				theModifierIndex;		// QuickTime 2.1 or later only
	FSSpec				theFileSpec;
	short				theMovieResID;
};

typedef struct MovieDoc MovieDoc, *MovieDocPtr, **MovieDocHndl;

#if GENERATINGPOWERPC
#pragma options align=reset
#endif


#endif  // __CHROMAPPHEADER__

